#
# spec file for package python-pysmell
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pysmell
Version:        0.7.3
Release:        lp151.2.2
Summary:        Autocompletion library for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://code.google.com/p/pysmell
Source:         http://pypi.python.org/packages/source/p/pysmell/pysmell-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
Requires:       python(abi) = %{py_ver}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
PySmell is a python IDE completion helper. 

It tries to statically analyze Python source code, without executing it,
and generates information about a project's structure that IDE tools can
use.

PySmell currently supports Vim, Emacs and TextMate. It can be integrated with
any editor that can run Python scripts and has an auto-complete API.

%prep
%setup -q -n pysmell-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod a+x %{buildroot}%{python_sitelib}/pysmell/tags.py

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG README.markdown
%{_bindir}/pysmell
%{python_sitelib}/pysmell/
%{python_sitelib}/pysmell-%{version}-py*.egg-info/

%changelog
* Thu Aug 14 2014 toddrme2178@gmail.com
- Clean up spec file
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Nov 29 2012 toddrme2178@gmail.com
- Initial spec file
